<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="menuTemplateTm.xhtml">
        <ui:define name="menu_title">
            <h:outputLink styleClass="navbar-brand"
                          value="/#{applicationPreferenceManager.getApplicationUrlBaseName()}/home.seam">
                <h:outputText
                        rendered="#{not identity.loggedIn or not applicationManager.isTestManagement()}"
                        value="#{applicationPreferenceManager.getApplicationName()}"/>
                <h:outputText
                        rendered="#{applicationManager.isTestManagement() and identity.loggedIn}"
                        value="#{applicationPreferenceManager.getApplicationName()} - #{gazelleDAO.getSelectedTestingSession().name}"/>
                <s:span styleClass="label label-danger"
                        rendered="#{identity.loggedIn and applicationManager.isTestManagement() and gazelleDAO.getSelectedTestingSession().sessionClosed}">
                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Closed']}"/>
                </s:span>
            </h:outputLink>

        </ui:define>
        <ui:define name="menu_logo">
            <h:outputLink target="_blank"
                          rendered="#{identity.loggedIn and (not empty gazelleDAO.getSelectedTestingSession().getLogoUrl())}"
                          value="#{gazelleDAO.getSelectedTestingSession().getLogoLinkUrl()}">
                <h:graphicImage library="img" value="#{gazelleDAO.getSelectedTestingSession().logoUrl}" height="34"
                                rendered="#{gazelleDAO.getSelectedTestingSession().isLogoIsURL()}"/>
                <h:graphicImage library="img" alt="#{messages['gazelle.tm.Logo']}" height="34"
                                name="#{gazelleDAO.getSelectedTestingSession().getLogoUrl()}"
                                rendered="#{!gazelleDAO.getSelectedTestingSession().isLogoIsURL()}"/>
            </h:outputLink>
            <h:outputLink value="http://gazelle.ihe.net/" target="_blank"
                          rendered="#{!identity.loggedIn or (empty gazelleDAO.getSelectedTestingSession().getLogoUrl())}">
                <h:graphicImage library="img" alt="#{messages['gazelle.tm.IHELogo']}"
                                name="gazelle.png" height="34"/>
            </h:outputLink>
        </ui:define>
        <ui:define name="menu_navigation_links">
            <c:set var="menu" scope="session" value="#{applicationManager.getMenu()}"/>

            <ui:include src="_generate_navigation_links_tm.xhtml">
                <ui:param name="menu" value="#{menu}"/>
                <ui:param name="url_base_name" value="#{applicationPreferenceManager.getApplicationUrlBaseName()}"/>
                <ui:param name="icon_template" value="/layout/menu/_fontawesome_icon_template.xhtml"/>
            </ui:include>


        </ui:define>
        <ui:define name="menu_search_box">
            <h:panelGroup rendered="#{applicationManager.isTestManagement() and identity.loggedIn and (identity.hasRole('vendor_role') or identity.hasRole('vendor_admin_role') or identity.hasRole('monitor_role') or identity.hasRole('admin_role') or identity.hasRole('test_session_manager_role')or identity.hasRole('tests_editor_role'))}">
                <ui:include src="_search_box.xhtml"/>
            </h:panelGroup>
        </ui:define>
        <ui:define name="menu_user_actions_right">
            <h:panelGroup rendered="#{identity.loggedIn}">
                <li>
                    <h:outputLink rendered="#{applicationManager.isShowHelp()}"
                                  alt="#{messages['net.ihe.gazelle.tm.Help_2']}"
                                  value="#{applicationManager.getHelpUrl()}" target="_blank">
                        <span class="gzl-icon-question-circle"/>
                    </h:outputLink>
                </li>

                <h:panelGroup
                        rendered="#{applicationManager.isTestManagement() and (identity.hasRole('vendor_role') or identity.hasRole('vendor_admin_role') or identity.hasRole('admin_role') or identity.hasRole('monitor_role') or identity.hasRole('testing_session_admin_role') or identity.hasRole('accounting_role'))}">
                    <li>
                        <c:set var="switchSessionStyle"  value="#{gazelleDAO.selectedTestingSession.isDefaultTestingSession ? 'gzl-btn-blue' : 'gzl-btn-orange'}"/>
                        <a4j:commandButton id="addImplementationButtonRightSession" styleClass="input-sm #{switchSessionStyle}"
                                   value="#{messages['net.ihe.gazelle.tm.JoinAnotherSession']}"
                                   oncomplete="jq162('#SelectTestingSessionModalPanel').modal('show');"
                                   render="SelectTestingSessionModalPanel, :formTestingSession"
                                   style="margin-top: 12px"/>
                    </li>
                </h:panelGroup>
                <h:panelGroup
                        rendered="#{(!gazelleDAO.getSelectedTestingSession().sessionWithoutMonitors) and applicationManager.isTestManagement() and (monitorInSessionAdministrationManager.isConnectedUserMonitorForSelectedSession() or testingSessionManager.isUserAdminOfCurrentTestingSession(gazelleDAO.getSelectedTestingSession()))}"
                        title="#{messages['net.ihe.gazelle.tm.Worklist']}">
                    <li>
                        <a id="monitorTests" class="gzl-monitor-btn"
                           href="/#{applicationPreferenceManager.getApplicationUrlBaseName()}/testing/research/testInstancesMonitor.seam">
                            <span class="glyphicon glyphicon-list-alt" title="#{messages['net.ihe.gazelle.tm.MonitorWorklist']}"></span>
                        </a>
                    </li>
                </h:panelGroup>
                <h:panelGroup rendered="#{applicationManager.isTestManagement() and (identity.hasRole('vendor_role') or identity.hasRole('vendor_admin_role') )}">
                    <li >
                        <a id="connectathonShortcut" class="gzl-cat-btn"
                           href="/#{applicationPreferenceManager.getApplicationUrlBaseName()}/testing/test/testExecution.seam">
                            <span class="glyphicon glyphicon-play-circle" title="#{messages['net.ihe.gazelle.tm.TestExecution']}"></span>
                        </a>
                    </li>
                </h:panelGroup>

                <h:panelGroup  rendered="#{messageManager.areMessagesEnabled()}">
                    <c:set var="messageIconClass"  value="#{messageManager.hasUnread() ? 'message-icon' : ''}"/>
                    <li class="#{messageIconClass}">
                        <a id="messagesCount" href="#" data-toggle="modal" onclick="setLastMessagesFrame();"
                           data-target="#lastMessagesModalPanel" class="gzl_msg-btn">
                            <h:panelGroup rendered="#{messageManager.hasUnread()}">
                                <i class="glyphicon glyphicon-asterisk" />
                            </h:panelGroup>
                            <span class="glyphicon glyphicon-envelope"  title="#{messageManager.getUnreadCount()}"/>
                        </a>
                    </li>
                </h:panelGroup>
            </h:panelGroup>
            <!-- Login menu from cas-client-ui-v7 -->
            <ui:decorate template="/layout/_login_menu.xhtml">
            </ui:decorate>
        </ui:define>
    </ui:decorate>
</ui:composition>
